%define		module_name weather

Name:		e_modules-%{module_name}
Version:	0.2.0
Release:	10%{?dist}
Summary:	%{module_name} module for the Enlightenment window manager

Group:		User Interface/Desktops
License:	BSD
URL:		http://www.enlightenment.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  enlightenment-devel >= 0.16.999, gettext-devel
Requires:       enlightenment >= 0.16.999

%description
A weather gadget.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags} CPPFLAGS="-include config.h"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%{_libdir}/enlightenment/modules/%{module_name}*

%changelog
* Mon Aug 03 2009 Vasile Chelban <vchelban@fedoramd.org> 0.2.0-10
- workaround missing include config.h directive

* Sat Mar 14 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-20090314
- SVN Update

* Sun Mar 1 2009 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-20090301
- Fixed BuildRequires based upon mock for F10
- CVS Update

* Thu Jul 17 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-20080717
- CVS Update

* Wed May 28 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-20080528
- CVS Update

* Sat Apr 5 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-20080405
- CVS Update

* Sun Mar 30 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-20080330
- CVS Update

* Tue Feb 26 2008 Chelban Vasile <vchelban@fedoramd.org> 0.2.0-7.20080225cvs.prof_k
- fixed Summary, Description

* Mon Feb 25 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-2008.02.25
- CVS Update

* Mon Feb 11 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-2008.02.11
- CVS Update

* Mon Feb 4 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-2008.02.04
- CVS Update

* Sun Jan 20 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-2008.01.20
- CVS Update

* Tue Jan 8 2008 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-2008.01.08
- Fixed spec file (BuildRequires) based upon mock
- CVS Update

* Fri Dec 28 2007 Dr. Gregory R. Kriehn (Professor Kriehn) <gkriehn@csufresno.edu> - 0.2.0-2007.12.28
- CVS Update
